# Supplementary Material for "Generalizing Stochastic Smoothing for Differentiation and Gradient Estimation"

The code for the method is provided in the `gss.py` file.
The method can be imported via `from gss import GSS`.
`GSS` is a PyTorch module that performs generalized stochastic smoothing and the main configurations are the following:

```python
gss = GSS(
    function,
    input_shape: Tuple[int],
    num_samples: int = 1_000,
    input_cov: bool = True,
    distribution: str = 'gaussian',
    antithetic: bool = True,
    control_variate: str = 'loo',
    sampling_strategy: str = 'rqmc_latin',
)
```

Herein, `function` is a function with a single argument input tensor and a single tensor as output.
If it is desired to smooth multiple input arguments, please utilize a respective wrapper.

`gss.py` also contains a main, which performs a simple stochastic optimization as an example.

